package com.ruoyi.system.domain.projectV2;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 招商引资_签约信息对象 zsyz_qyxx
 * 
 * @author boman
 * @date 2023-02-22
 */
public class ZsyzQyxx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 项目ID */
    //@Excel(name = "项目ID")
    private Long xmId;

    /** 项目编号 */
    //@Excel(name = "项目编号")
    private String xmbh;

    /**
     * 项目线索名称
     */
    @Excel(name = "项目线索名称", needMerge = true)
    private String xmxsmc;

    public String getXmxsmc() {
        return xmxsmc;
    }

    public void setXmxsmc(String xmxsmc) {
        this.xmxsmc = xmxsmc;
    }

    /** 项目名称 */
    @Excel(name = "项目名称", needMerge = true)
    private String xmmc;

    /** 对方签约人 */
    @Excel(name = "对方签约人", needMerge = true)
    private String dfqyr;

    /** 我方签约人 */
    @Excel(name = "我方签约人", needMerge = true)
    private String wfqyr;

    /** 填报日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "填报日期", width = 30, dateFormat = "yyyy-MM-dd", needMerge = true)
    private Date tbrq;

    /** 签约日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "签约日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date qyrq;

    /** 协议投资额来源 */
    @Excel(name = "协议投资额来源")
    private String xytzely;
    /** 协议投资额（万元） */
    @Excel(name = "协议投资额")
    private String xytze;

    /** 市外资金（万元） */
    @Excel(name = "市外资金")
    private String swzj;

    /** 固定资产投资额（万元） */
    @Excel(name = "固定资产投资额")
    private String gdzctze;

    /** 项目跟进人姓名 */
    @Excel(name = "项目跟进人姓名")
    private String xmgjrxm;
    /** 项目跟进人职务 */
    @Excel(name = "项目跟进人职务")
    private String xmgjrzw;
    /** 签约跟进人手机号 */
    @Excel(name = "签约跟进人手机号")
    private String xmgjrsjh;

    /** 项目所在地 */
    @Excel(name = "项目所在地")
    private String xmszd;

    /** 所属行业 字典 */
    @Excel(name = "所属行业", readConverterExp = "1=智能 (汽车) 制造,2=装备制造,3=轻工制造,4=新材料,5=新能源,6=生物医药,7=石油化工,8=电子元器件 (信息),9=汽车零部件,10=纺织服装,11=农产品深加工,12=食品加工,13=大数据,14=大健康,15=文化旅游,16=现代服务业,17=三产融台,18=其他 ")
    private String sshy;

    /** 投资方式（1=独资，2=合资,3=合作,4=收购,5=参股,6=兼并,7=其他） */
    @Excel(name = "投资方式", readConverterExp = "1=独资,2=合资,3=合作,4=收购,5=参股,6=兼并,7=其他")
    private String tzfs;

    /** 建设方式（1：新建，2：改建，3：扩建，4：租赁） */
    @Excel(name = "建设方式", readConverterExp = "1=新建,2=改建,3=扩建,4=租赁")
    private String jsfs;

    /** 是否宜商（1：是，2：否） */
    @Excel(name = "是否宜商", readConverterExp = "1=是,2否")
    private String sfys;

    /** 建设内容 */
    @Excel(name = "建设内容")
    private String jsnr;

    /** 租赁厂房(平方米) */
    @Excel(name = "租赁厂房(平方米)")
    private String zlcf;

    /**
     * 供地面积(亩)
     */
    @Excel(name = "供地面积(亩)")
    private String gdmj;

    /** 注册企业名称 */
    @Excel(name = "注册企业名称")
    private String zcqymc;

    /** 注册日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "注册日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date zcrq;

    /** 注册资本（万元） */
    @Excel(name = "注册资本")
    private String zczb;

    /** 法人代表 */
    @Excel(name = "法人代表")
    private String frdb;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String lxfs;

    /** 经营范围 */
    @Excel(name = "经营范围")
    private String jyfw;

    /** 立项日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "立项日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lxrq;

    /** 拟开工日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "拟开工日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nkgrq;

    /** 文件地址 */
    //@Excel(name = "文件地址")
    private String path;

    /** 附件集合 */
    private List<ZsyzFj> zsyzFjList;
    /**
     * 存在问题
     */
    private String czwt;

    public String getCzwt() {
        return czwt;
    }

    public void setCzwt(String czwt) {
        this.czwt = czwt;
    }

    public String getXytzely() {
        return xytzely;
    }

    public void setXytzely(String xytzely) {
        this.xytzely = xytzely;
    }

    public String getXmgjrxm() {
        return xmgjrxm;
    }

    public void setXmgjrxm(String xmgjrxm) {
        this.xmgjrxm = xmgjrxm;
    }

    public String getXmgjrzw() {
        return xmgjrzw;
    }

    public void setXmgjrzw(String xmgjrzw) {
        this.xmgjrzw = xmgjrzw;
    }

    public String getXmgjrsjh() {
        return xmgjrsjh;
    }

    public void setXmgjrsjh(String xmgjrsjh) {
        this.xmgjrsjh = xmgjrsjh;
    }

    public String getZlcf() {
        return zlcf;
    }

    public void setZlcf(String zlcf) {
        this.zlcf = zlcf;
    }

    public String getGdmj() {
        return gdmj;
    }

    public void setGdmj(String gdmj) {
        this.gdmj = gdmj;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setDfqyr(String dfqyr) 
    {
        this.dfqyr = dfqyr;
    }

    public String getDfqyr() 
    {
        return dfqyr;
    }
    public void setWfqyr(String wfqyr) 
    {
        this.wfqyr = wfqyr;
    }

    public String getWfqyr() 
    {
        return wfqyr;
    }
    public void setTbrq(Date tbrq) 
    {
        this.tbrq = tbrq;
    }

    public Date getTbrq() 
    {
        return tbrq;
    }
    public void setQyrq(Date qyrq) 
    {
        this.qyrq = qyrq;
    }

    public Date getQyrq() 
    {
        return qyrq;
    }
    public void setXytze(String xytze) 
    {
        this.xytze = xytze;
    }

    public String getXytze() 
    {
        return xytze;
    }
    public void setSwzj(String swzj) 
    {
        this.swzj = swzj;
    }

    public String getSwzj() 
    {
        return swzj;
    }
    public void setGdzctze(String gdzctze) 
    {
        this.gdzctze = gdzctze;
    }

    public String getGdzctze() 
    {
        return gdzctze;
    }

    public void setXmszd(String xmszd) 
    {
        this.xmszd = xmszd;
    }

    public String getXmszd() 
    {
        return xmszd;
    }
    public void setSshy(String sshy) 
    {
        this.sshy = sshy;
    }

    public String getSshy() 
    {
        return sshy;
    }
    public void setTzfs(String tzfs) 
    {
        this.tzfs = tzfs;
    }

    public String getTzfs() 
    {
        return tzfs;
    }
    public void setJsfs(String jsfs) 
    {
        this.jsfs = jsfs;
    }

    public String getJsfs() 
    {
        return jsfs;
    }
    public void setSfys(String sfys) 
    {
        this.sfys = sfys;
    }

    public String getSfys() 
    {
        return sfys;
    }
    public void setJsnr(String jsnr) 
    {
        this.jsnr = jsnr;
    }

    public String getJsnr() 
    {
        return jsnr;
    }

    public void setZcqymc(String zcqymc) 
    {
        this.zcqymc = zcqymc;
    }

    public String getZcqymc() 
    {
        return zcqymc;
    }
    public void setZcrq(Date zcrq) 
    {
        this.zcrq = zcrq;
    }

    public Date getZcrq() 
    {
        return zcrq;
    }
    public void setZczb(String zczb) 
    {
        this.zczb = zczb;
    }

    public String getZczb() 
    {
        return zczb;
    }
    public void setFrdb(String frdb) 
    {
        this.frdb = frdb;
    }

    public String getFrdb() 
    {
        return frdb;
    }
    public void setLxfs(String lxfs) 
    {
        this.lxfs = lxfs;
    }

    public String getLxfs() 
    {
        return lxfs;
    }
    public void setJyfw(String jyfw) 
    {
        this.jyfw = jyfw;
    }

    public String getJyfw() 
    {
        return jyfw;
    }
    public void setLxrq(Date lxrq) 
    {
        this.lxrq = lxrq;
    }

    public Date getLxrq() 
    {
        return lxrq;
    }
    public void setNkgrq(Date nkgrq) 
    {
        this.nkgrq = nkgrq;
    }

    public Date getNkgrq() 
    {
        return nkgrq;
    }
    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }

    public List<ZsyzFj> getZsyzFjList() {
        return zsyzFjList;
    }

    public void setZsyzFjList(List<ZsyzFj> zsyzFjList) {
        this.zsyzFjList = zsyzFjList;
    }

    @Override
    public String toString() {
        return "ZsyzQyxx{" +
                "id=" + id +
                ", xmId=" + xmId +
                ", xmbh='" + xmbh + '\'' +
                ", xmxsmc='" + xmxsmc + '\'' +
                ", xmmc='" + xmmc + '\'' +
                ", dfqyr='" + dfqyr + '\'' +
                ", wfqyr='" + wfqyr + '\'' +
                ", tbrq=" + tbrq +
                ", qyrq=" + qyrq +
                ", xytzely='" + xytzely + '\'' +
                ", xytze='" + xytze + '\'' +
                ", swzj='" + swzj + '\'' +
                ", gdzctze='" + gdzctze + '\'' +
                ", xmgjrxm='" + xmgjrxm + '\'' +
                ", xmgjrzw='" + xmgjrzw + '\'' +
                ", xmgjrsjh='" + xmgjrsjh + '\'' +
                ", xmszd='" + xmszd + '\'' +
                ", sshy='" + sshy + '\'' +
                ", tzfs='" + tzfs + '\'' +
                ", jsfs='" + jsfs + '\'' +
                ", sfys='" + sfys + '\'' +
                ", jsnr='" + jsnr + '\'' +
                ", zlcf='" + zlcf + '\'' +
                ", gdmj='" + gdmj + '\'' +
                ", zcqymc='" + zcqymc + '\'' +
                ", zcrq=" + zcrq +
                ", zczb='" + zczb + '\'' +
                ", frdb='" + frdb + '\'' +
                ", lxfs='" + lxfs + '\'' +
                ", jyfw='" + jyfw + '\'' +
                ", lxrq=" + lxrq +
                ", nkgrq=" + nkgrq +
                ", path='" + path + '\'' +
                ", zsyzFjList=" + zsyzFjList +
                '}';
    }
}
